#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int n;
    int k;
    scanf("%lld",&n);
    scanf("%lld",&k);
    long long int d[k];
    for(int i=0;i<k;i++)
    {
        scanf("%lld",&d[i]);
    }
    for(int i=0;i<k;i++)
    {
        n=0;
        for(int j=0;j<k;j++)
        {
            if(d[i]>=d[j])
            {
                if(d[i]%d[j]==0)
                {
                    n^=d[j];
                }
            }
        }
        printf("%lld ",n);
    }
    return 0;
}